Subject: bug#7716: 23.2.91; Pretest Windows binary doesn't support PNG images

From: Eli Zaretskii <[email-masked]>
Date: Fri, 24 Dec 2010 21:35:58 +0200

> From: "Drew Adams" <[email-masked]>
> Cc: <[email-masked]>, <[email-masked]>
> Date: Fri, 24 Dec 2010 11:21:12 -0800
> 
> Actually, there is _no_ bug (other than the PNG problem that you reported).
> That is, with emacs -Q, I am able to see the images that I reported as not
> seeing.

That's good to know, thanks.

If you still have the 23.2.90 binary somewhere, could you please try
that as well, and see if PNG can be displayed there?

> Thinking that perhaps the problem was that I use (an old version of) Cygwin, and
> that it has its own zlib etc., I tried setting up Cygwin after i started emacs
> -Q, but image display still worked OK (modulo the PNG bug), so that's not the
> problem.

Make sure Emacs does not try to use the Cygwin versions of the DLLs,
that's known to make trouble, even crashing Emacs.  You could use some
tool to see which DLLs Emacs loads, to be sure (I use Unlocker).